Subject: 27.1; .crx and .crx3 are zip files

From: "Trent W. Buck" <[email-masked]>
Date: Tue, 14 Dec 2021 15:56:58 +1100

These are .zip files; "unzip -l" works on them:

    https://edgedl.me.gvt1.com/edgedl/chromewebstore/L2Nocm9tZV9leHRlbnNpb24vYmxvYnMvMjg0QUFYSnN4MFUtaEQwNDZqVGRkVkFmZw/1.0.6.0_aemomkdncapdnfajjbbcbdebjljbpmpj.crx
    https://edgedl.me.gvt1.com/edgedl/release2/chrome_component/acoof3hxrw6kobkazuyehcxdgxeq_2749/jflookgnkcckhobaglndicnbbgbonegd_2749_all_jujpn2jyxpu4ped7yujq342ypq.crx3

I want to be able to press RET on them in dired, and
see a zip view of their contents.

This already works for .jar and .ods, so I hoped it was just a matter of
adding to a list somewhere, but I cannot see where.

But when I tried just changing ".crx" to ".zip", I got an error:

    File mode specification error: (error Buffer format not recognized)

I guess this needs more magic than I can manage in a single cup of tea. :-(